# Class CATP1FieldWithExternalType

java.lang.Object
com.io7m.cardant.type_packages.parsers.internal.CATP1FieldWithExternalType

All Implemented Interfaces:
  `com.io7m.blackthorne.core.BTElementHandlerType<Object,CATypeFieldDeclaration>`

public final class CATP1FieldWithExternalType extends Object implements com.io7m.blackthorne.core.BTElementHandlerType<Object,CATypeFieldDeclaration>
A parser.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CATP1FieldWithExternalType(com.io7m.blackthorne.core.BTElementParsingContextType context)`
  A parser.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CATypeFieldDeclaration`
  `onElementFinished(com.io7m.blackthorne.core.BTElementParsingContextType context)`
  `void`
  `onElementStart(com.io7m.blackthorne.core.BTElementParsingContextType context, Attributes attributes)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.blackthorne.core.BTElementHandlerType

  `map, name, onCharacters, onChildHandlersRequested, onChildValueProduced, onShouldIgnoreUnrecognizedElements`

- ## Constructor Details

  - ### CATP1FieldWithExternalType

    public CATP1FieldWithExternalType(com.io7m.blackthorne.core.BTElementParsingContextType context)
    A parser.
    Parameters:
      `context` - The parse context

- ## Method Details

  - ### onElementStart

    public void onElementStart(com.io7m.blackthorne.core.BTElementParsingContextType context, Attributes attributes)
    Specified by:
      `onElementStart` in interface `com.io7m.blackthorne.core.BTElementHandlerType<Object,CATypeFieldDeclaration>`

  - ### onElementFinished

    public CATypeFieldDeclaration onElementFinished(com.io7m.blackthorne.core.BTElementParsingContextType context)
    Specified by:
      `onElementFinished` in interface `com.io7m.blackthorne.core.BTElementHandlerType<Object,CATypeFieldDeclaration>`